<pre class="url-structure">
 ┌──────────────────── <i class="p">protocole</i>
 │      ┌───────────── <i class="s">serveur</i>
 │      │           ┌─ <i class="r1">nom local</i>
 │      │           │
─┴──   ─┴───────── ─┴──────────────
<b><i class="p">http</i>://<i class="s">champin.net</i>/<i class="r2">enseignement/web</i></b>
</pre>
